package com.pj.ht_sell_goods_list;

import java.util.List;
import com.pj.utils.so.SoMap;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.*;

import com.pj.utils.sg.*;
import com.pj.project4sp.SP;

import com.pj.current.satoken.StpUserUtil;
import cn.dev33.satoken.annotation.SaCheckPermission;


/**
 * Controller: ht_sell_goods_list -- 商铺卖货物列表,主表ht_trade_settlement
 * @author yzs 
 */
@RestController
@RequestMapping("/HtSellGoodsList/")
public class HtSellGoodsListController {

	/** 底层 Service 对象 */
	@Autowired
	HtSellGoodsListService htSellGoodsListService;

	/** 增 */  
	@RequestMapping("add")
	@SaCheckPermission(HtSellGoodsList.PERMISSION_CODE_ADD)
	public AjaxJson add(HtSellGoodsList h){
		htSellGoodsListService.add(h);
		h = htSellGoodsListService.getById(SP.publicMapper.getPrimarykey());
		return AjaxJson.getSuccessData(h);
	}

	/** 删 */  
	@RequestMapping("delete")
	@SaCheckPermission(HtSellGoodsList.PERMISSION_CODE_DEL)
	public AjaxJson delete(Long id){
		 htSellGoodsListService.delete(id);
		return AjaxJson.getSuccess();
	}
	
	/** 删 - 根据id列表 */  
	@RequestMapping("deleteByIds")
	@SaCheckPermission(HtSellGoodsList.PERMISSION_CODE_DEL)
	public AjaxJson deleteByIds(){
		List<Long> ids = SoMap.getRequestSoMap().getListByComma("ids", long.class); 
		int line = SP.publicMapper.deleteByIds(HtSellGoodsList.TABLE_NAME, ids);
		return AjaxJson.getByLine(line);
	}
	
	/** 改 */  
	@RequestMapping("update")
	@SaCheckPermission(HtSellGoodsList.PERMISSION_CODE_EDIT)
	public AjaxJson update(HtSellGoodsList h){
		htSellGoodsListService.update(h);
		return AjaxJson.getSuccess();
	}

	/** 查 - 根据id */  
	@RequestMapping("getById")
		@SaCheckPermission(HtSellGoodsList.PERMISSION_CODE)
	public AjaxJson getById(Long id){
		HtSellGoodsList h = htSellGoodsListService.getById(id);
		return AjaxJson.getSuccessData(h);
	}

	/** 查集合 - 根据条件（参数为空时代表忽略指定条件） */  
	@RequestMapping("getList")
		@SaCheckPermission(HtSellGoodsList.PERMISSION_CODE)
	public AjaxJson getList() { 
		SoMap so = SoMap.getRequestSoMap();
		List<HtSellGoodsList> list = htSellGoodsListService.getList(so.startPage());
		return AjaxJson.getPageData(so.getDataCount(), list);
	}
	
	
	
	

	
	
	

}
